﻿namespace Platform.Geo
{
    public enum GeoCodeStatus
    {
        //
        // Summary:
        //     The query was successful.
        Success = 0,
        //
        // Summary:
        //     The query returned an unknown error.
        UnknownError = 1,
        //
        // Summary:
        //     The query provided credentials that are not valid.
        InvalidCredentials = 2,
        //
        // Summary:
        //     The specified point cannot be converted to a location. For example, the point
        //     is in an ocean or a desert.
        BadLocation = 3,
        //
        // Summary:
        //     The query could not find a result.
        IndexFailure = 4,
        //
        // Summary:
        //     The query encountered a network failure.
        NetworkFailure = 5,
        //
        // Summary:
        //     The query is not supported.
        NotSupported = 6
    }
}
